package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CheckInApplicationCollection extends AbstractObjectCollection 
{
    public CheckInApplicationCollection()
    {
        super(CheckInApplicationInfo.class);
    }
    public boolean add(CheckInApplicationInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CheckInApplicationCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CheckInApplicationInfo item)
    {
        return removeObject(item);
    }
    public CheckInApplicationInfo get(int index)
    {
        return(CheckInApplicationInfo)getObject(index);
    }
    public CheckInApplicationInfo get(Object key)
    {
        return(CheckInApplicationInfo)getObject(key);
    }
    public void set(int index, CheckInApplicationInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CheckInApplicationInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CheckInApplicationInfo item)
    {
        return super.indexOf(item);
    }
}